Subject: Re: Show skipped commit message after rebase conflict?

From: Junio C Hamano <[email-masked]>
Date: Fri, 25 Jul 2025 17:04:47 -0700

Cameron Steffen <[email-masked]> writes:

>> But only if we can positively tell the reason why there is no change
> relative to the parent commit _is_ because the commit we are
> currently picking has already been applied, that is.
>
> I thought we merely would need to see that there are no staged changes
> to be committed, and there is a currently-picking commit that will now
> be skipped? I don't need to know whether the commit was already
> applied. I just want to know that the commit in the rebase plan is not
> being committed.

Then your earlier idea to reuse the same message

>> warning: skipped previously applied commit <hash>
>
> Potentially we could use the very same message.

would not work, would it?